Because libxklavier fails, subsequently so does libgnomekbd and
gnome-control-center. I'm using 6.1 p11 and just suffered through a couple
of days recompiling with portupgrade -rf gettext.

The error it gives is:

portupgrade -r libxklavier
--->  Upgrading 'libxklavier-3.2,1' to 'libxklavier-3.2_1,1'
(x11/libxklavier)
--->  Building '/usr/ports/x11/libxklavier'
===>  Cleaning for gmake-3.81_1
===>  Cleaning for pkg-config-0.21
===>  Cleaning for glib-2.12.11
===>  Cleaning for libxml2-2.6.27
===>  Cleaning for xorg-libraries-6.9.0_1
===>  Cleaning for gettext-0.16.1
===>  Cleaning for perl-5.8.8
===>  Cleaning for libtool-1.5.22_4
===>  Cleaning for libiconv-1.9.2_2
===>  Cleaning for imake-6.9.0_1
===>  Cleaning for libdrm-2.0.2
===>  Cleaning for freetype2-2.2.1_1
===>  Cleaning for fontconfig-2.4.2,1
===>  Cleaning for expat-2.0.0_1
===>  Cleaning for libxklavier-3.2_1,1
===>  Extracting for libxklavier-3.2_1,1
=> MD5 Checksum OK for libxklavier-3.2.tar.gz.
=> SHA256 Checksum OK for libxklavier-3.2.tar.gz.
===>  Patching for libxklavier-3.2_1,1
===>  Applying FreeBSD patches for libxklavier-3.2_1,1
1 out of 1 hunks failed--saving rejects to libxklavier/xklavier_config.c.rej
=> Patch patch-libxklavier__xklavier_config.c failed to apply cleanly.
=> Patch(es) patch-configure applied cleanly.
*** Error code 1

Stop in /usr/ports/x11/libxklavier.
** Command failed [exit code 1]: /usr/bin/script -qa
/tmp/portupgrade.20987.0 env UPGRADE_TOOL=portupgrade UPGRADE_PORT=
libxklavier-3.2,1 UPGRADE_PORT_VER=3.2,1 make
** Fix the problem and try again.
--->  Skipping 'x11/libgnomekbd' (libgnomekbd-2.18.0_2) because a requisite
package 'libxklavier-3.2,1' (x11/libxklavier) failed (specify -k to force)
--->  Skipping 'sysutils/gnome-control-center' (gnome-control-center-2.18.0)
because a requisite package 'libgnomekbd-2.18.0_2' (x11/libgnomekbd) failed
(specify -k to force)
** Listing the failed packages (*:skipped / !:failed)
       ! x11/libxklavier (libxklavier-3.2,1)   (patch error)
       * x11/libgnomekbd (libgnomekbd-2.18.0_2)
       * sysutils/gnome-control-center (gnome-control-center-2.18.0)
--->  Packages processed: 0 done, 0 ignored, 2 skipped and 1 failed


Hopefully someone can shed some light on me ;-)

--
--I'm not 'renting' my OS--
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to